[Libreoffice-commits] core.git: 6 commits - Makefile.in scp2/source solenv/bin ure/Package_install.mk vcl/Module_vcl.mk
Andras Timar
andras.timar at collabora.com
Fri Mar 4 12:37:17 UTC 2016
Makefile.in | 3 ++-
scp2/source/ooo/common_brand.scp | 2 +-
scp2/source/ooo/file_ooo.scp | 2 +-
solenv/bin/macosx-codesign-app-bundle | 19 ++++++++++---------
ure/Package_install.mk | 2 ++
vcl/Module_vcl.mk | 5 +++--
6 files changed, 19 insertions(+), 14 deletions(-)
New commits:
commit a775bfb99ee978ee777cc1c792e6784dcd85a733
Author: Andras Timar <andras.timar at collabora.com>
Date: Fri Mar 4 13:28:20 2016 +0100
Don't build ui-previewer in the App Store case
Change-Id: I25ca4b8672702095cc04723bc9c6bdf01a06382f
diff --git a/vcl/Module_vcl.mk b/vcl/Module_vcl.mk
index 81a7276..03c884c 100644
--- a/vcl/Module_vcl.mk
+++ b/vcl/Module_vcl.mk
@@ -27,8 +27,9 @@ $(eval $(call gb_Module_add_targets,vcl,\
Package_opengl_blacklist ) \
$(if $(filter DESKTOP,$(BUILD_TYPE)), \
StaticLibrary_vclmain \
- $(if $(ENABLE_HEADLESS),, \
- Executable_ui-previewer) \
+ $(if $(ENABLE_MACOSX_SANDBOX),, \
+ $(if $(ENABLE_HEADLESS),, \
+ Executable_ui-previewer)) \
$(if $(filter LINUX MACOSX SOLARIS WNT %BSD,$(OS)), \
Executable_outdevgrind \
$(if $(ENABLE_HEADLESS),, \
commit d0370811694dfed0fbfdfbb6570c606533c2a8d1
Author: Andras Timar <andras.timar at collabora.com>
Date: Fri Mar 4 11:54:55 2016 +0100
harden OS X code signing script (handle spaces in bundle name)
Change-Id: Icf9bdcd0bcd988d32477cf9ab7f8d917ff6a2275
diff --git a/solenv/bin/macosx-codesign-app-bundle b/solenv/bin/macosx-codesign-app-bundle
index e65d8e6..ff6397a 100755
--- a/solenv/bin/macosx-codesign-app-bundle
+++ b/solenv/bin/macosx-codesign-app-bundle
@@ -36,7 +36,7 @@ APP_BUNDLE="$1"
# add some where it makes sense. Make a depth-first search to sign the contents
# of e.g. the spotlight plugin before attempting to sign the plugin itself
-find -d "$APP_BUNDLE" \( -name '*.dylib' -or -name '*.so' -or -name '*.fodt' \
+find -d "$APP_BUNDLE" \( -name '*.dylib' -or -name '*.so' -or -name '*.fodt' -or -name '*.odt' \
-or -name 'schema.strings' -or -name 'schema.xml' -or -name '*.mdimporter' \
-or -name '*.jar' -or -name '*.jnilib' -or -name 'LICENSE' -or -name 'LICENSE.html' \
-or -name '*.applescript' \) ! -type l | grep -v "LibreOfficePython\.framework" | \
@@ -45,7 +45,7 @@ while read file; do
codesign --verbose --identifier=$MACOSX_BUNDLE_IDENTIFIER.$id --sign "$MACOSX_CODESIGNING_IDENTITY" "$file" || exit 1
done
-find $APP_BUNDLE -name '*.dylib.*' ! -type l | \
+find "$APP_BUNDLE" -name '*.dylib.*' ! -type l | \
while read dylib; do \
id=`basename "$dylib"`; \
id=`echo $id | sed -e 's/dylib.*/dylib/'`; \
@@ -76,13 +76,14 @@ done
# it has just one version, so this generic search is mostly for
# completeness.
-for framework in `find $APP_BUNDLE -name '*.framework' -type d`; do \
- fn="$(basename $framework)"
+find "$APP_BUNDLE" -name '*.framework' -type d -print0 | \
+while IFS= read -r -d '' framework; do \
+ fn=$(basename "$framework")
fn=${fn%.*}
- for version in $framework/Versions/*; do \
- if test ! -L $version -a -d $version; then
- codesign --force --verbose --prefix=$MACOSX_BUNDLE_IDENTIFIER. --sign "$MACOSX_CODESIGNING_IDENTITY" $version/$fn || exit 1
- codesign --force --verbose --prefix=$MACOSX_BUNDLE_IDENTIFIER. --sign "$MACOSX_CODESIGNING_IDENTITY" $version || exit 1
+ for version in "$framework"/Versions/*; do \
+ if test ! -L "$version" -a -d "$version"; then
+ codesign --force --verbose --prefix=$MACOSX_BUNDLE_IDENTIFIER. --sign "$MACOSX_CODESIGNING_IDENTITY" "$version/$fn" || exit 1
+ codesign --force --verbose --prefix=$MACOSX_BUNDLE_IDENTIFIER. --sign "$MACOSX_CODESIGNING_IDENTITY" "$version" || exit 1
fi; \
done; \
done
@@ -103,6 +104,6 @@ if test -n "$ENABLE_MACOSX_SANDBOX"; then
entitlements="--entitlements $BUILDDIR/lo.xcent"
fi
-codesign --force --verbose --identifier="${MACOSX_BUNDLE_IDENTIFIER}.$id" --sign "$MACOSX_CODESIGNING_IDENTITY" $entitlements $APP_BUNDLE || exit 1
+codesign --force --verbose --identifier="${MACOSX_BUNDLE_IDENTIFIER}.$id" --sign "$MACOSX_CODESIGNING_IDENTITY" $entitlements "$APP_BUNDLE" || exit 1
exit 0
commit 7bba75cf5b3c42576f4cdbfb82f61c2de4932f8a
Author: Andras Timar <andras.timar at collabora.com>
Date: Sun May 17 11:43:08 2015 +0200
remove unopkg script from MacOSX folder of sandboxed app
Change-Id: Ib59953225480e6923e418b966cce289f07f863b5
(cherry picked from commit f16f8ee5c2a269339a36bf6af9b24b50b4328a37)
diff --git a/Makefile.in b/Makefile.in
index ff8f36b..251f707 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -324,8 +324,9 @@ ifneq ($(MACOSX_CODESIGNING_IDENTITY),)
rm -rf $(TESTINSTALLDIR)/LibreOffice$(if $(ENABLE_RELEASE_BUILD),,Dev).app/Contents/Frameworks/LibreOfficePython.framework/Versions/[1-9]*/lib/python[1-9]*/config-[1-9]*
#
ifneq ($ENABLE_MACOSX_SANDBOX),)
-# Remove the gengal.bin binary that we don't want
+# Remove the gengal.bin binary and unopkg script that we don't want
rm $(TESTINSTALLDIR)/LibreOffice$(if $(ENABLE_RELEASE_BUILD),,Dev).app/Contents/MacOS/gengal.bin
+ rm $(TESTINSTALLDIR)/LibreOffice$(if $(ENABLE_RELEASE_BUILD),,Dev).app/Contents/MacOS/unopkg
endif
#
# Then use the macosx-codesign-app-bundle script
commit 32c8ba64928ff541274cda3cd49b406da97d0c14
Author: Andras Timar <andras.timar at collabora.com>
Date: Sun May 17 11:39:44 2015 +0200
Don't put symlink to MacOS folder of sandboxed app
Conflicts:
ure/Package_install.mk
Change-Id: Ica4cfd3befa67aa1d03140ad2a766dfbb208ec0a
(cherry picked from commit d6785e162fa8cc4b03de76cd2d089d62ae45c068)
diff --git a/ure/Package_install.mk b/ure/Package_install.mk
index 99801c7..e8b6515 100644
--- a/ure/Package_install.mk
+++ b/ure/Package_install.mk
@@ -14,7 +14,9 @@ $(eval $(call gb_Package_add_file,ure_install,$(LIBO_URE_BIN_FOLDER)/uno,uno))
endif
ifeq (MACOSX,$(OS))
+ifneq ($(ENABLE_MACOSX_SANDBOX),TRUE)
$(eval $(call gb_Package_add_symbolic_link,ure_install,MacOS/urelibs,../Frameworks))
endif
+endif
# vim:set noet sw=4 ts=4:
commit 3a663f7a4580b97518aee4e0c797b549c67ef1a5
Author: Andras Timar <andras.timar at collabora.com>
Date: Sun May 17 11:07:14 2015 +0200
Don't package unoinfo in case of Mac OS X like app structure
Change-Id: I517ed7ac43b0655c7e571e0b9fead32c4f2e7948
(cherry picked from commit ec51b41ba4831ce43a4f3ead47c72d2d6a884f61)
diff --git a/scp2/source/ooo/common_brand.scp b/scp2/source/ooo/common_brand.scp
index 1933551..c3667de 100644
--- a/scp2/source/ooo/common_brand.scp
+++ b/scp2/source/ooo/common_brand.scp
@@ -512,7 +512,7 @@ File gid_Brand_File_Desktophelper_Txt
End
#endif
-#if !defined WNT
+#if !defined WNT && !defined MACOSX
File gid_Brand_File_Bin_Unoinfo
BIN_FILE_BODY;
Dir = gid_Brand_Dir_Program;
commit ea1ca253d3b24fd64cf6678785e4170f42ee06f9
Author: Andras Timar <andras.timar at collabora.com>
Date: Fri May 15 17:05:17 2015 +0200
shell script in Contents/MacOS is not accepted
(cherry picked from commit c5d91c02192f4272ad2a200beffa059a7dc7a146)
Conflicts:
scp2/source/ooo/file_ooo.scp
Change-Id: Ib047b763bfeff9dbf43db8fc11e6fd7f1fa179f8
diff --git a/scp2/source/ooo/file_ooo.scp b/scp2/source/ooo/file_ooo.scp
index ce009dd..4f6a1ee 100644
--- a/scp2/source/ooo/file_ooo.scp
+++ b/scp2/source/ooo/file_ooo.scp
@@ -59,7 +59,7 @@ End
#endif
-#if defined UNX
+#if defined UNX && ! defined ENABLE_MACOSX_SANDBOX
File gid_File_Bin_Senddoc
BIN_FILE_BODY;
Dir = FILELIST_DIR;
More information about the Libreoffice-commits
mailing list